Ticket #46086

Not enough user UCF because of...

Open Date: 2022-11-21 22:13 Last Update: 2023-04-06 23:10

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Recent changes such as removal of the UCF for AttFromNonNative are probably good. Reflecting moving away from hard-coded UCF behaviours where ruleset actionenablers can do it. (Even though, in some cases it's kind of nice to just throw in a UCF instead of play logic puzzles with actionenabler reqs.)

However, as we move in this direction, it's definitely the case that 12 user UCF's isn't going to be enough. Here's what's happening to ruleset designers 1. In general, actionenablers are making it so that most rulesets are defining more unit-classes, so they can manage action-mechanics. What this means is more unit-classes to group or #tag similar classes so they can be bundled in fewer actionenablers. 2. We're having to move old UCF's like Missile, AttFromNonNative, etc., out of hard classes and into our user unit-classes, taking up space. 3. I anticipate as people get experienced at 3.x ruleset coding, they'll see unit-classes and unit-class-flags as only escape-route to better generalize actions, behaviours, and mechanics.

Suggest large increase to number of custom ruleset unit-class flags. Probably isn't a bad idea to increase it for UTYF either.

Cheers.

Ticket History (3/6 Histories)

2022-11-21 22:13 Updated by: lexxie9952
  • New Ticket "Not enough user UCF because of..." created
2022-11-22 19:10 Updated by: cazfi
  • Milestone Update from (None) to S3_2 d3f
  • Component Update from (None) to General
Comment

Current maximum user unit class flags count is 15. Usually increases to it have been driven by theoretical minimum required for updates.

2023-04-02 16:28 Updated by: cazfi
Comment

At this point (and to be rechecked before final 3.2 d3f) we should have some modest increase in S3_2 and main. Maybe UCF 15 -> 25 and UTYF 45 -> 50.

2023-04-02 17:04 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2023-04-06 23:10 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login